Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 287697 - KDE 4.3.1 stabilization request
Summary: KDE 4.3.1 stabilization request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: 277868 278312 278970 287689 287691 287692 287693 287694 287695 287943 287947 287953 287955 288416 288420 289267 289350 289389 289397 289409 289449 289452
Blocks: 283238 288434 288435 288459 288460 288595 288604 288662 288740 288837 288840 288883 289293 289490
  Show dependency tree
 
Reported: 2009-10-05 02:31 UTC by Maciej Mrozowski
Modified: 2010-02-17 10:31 UTC (History)
11 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
KDE4 packages for stabilization (atom format, can be used as p.keywords) (4.3.1-packages-nodeps.txt,7.30 KB, text/plain)
2009-10-05 20:38 UTC, Maciej Mrozowski
Details
kdm-4.3.1-r1 -> kdm-4.3.2-r2 (4.3.1-packages-nodeps.txt,7.30 KB, text/plain)
2009-10-06 21:22 UTC, Maciej Mrozowski
Details
Silly me, of course kdm-4.3.1-r1 -> kdm-4.3.1-r2 (4.3.1-packages-nodeps.txt,7.30 KB, text/plain)
2009-10-07 16:52 UTC, Maciej Mrozowski
Details
dolphin-4.3.1->4.3.1-r1, kdelibs-4.3.1->4.3.1-r1, kabcclient-4.3.1->4.3.1-r1 (4.3.1-packages-nodeps.txt,7.31 KB, text/plain)
2009-10-09 21:58 UTC, Maciej Mrozowski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Maciej Mrozowski gentoo-dev 2009-10-05 02:31:11 UTC
Package lists to follow
Comment 1 Maciej Mrozowski gentoo-dev 2009-10-05 03:38:39 UTC
@non devs
Please refrain from *any* discussion here.
Visit bug 277868 if you have any relevant comments regarding stabilization.
Comment 2 Maciej Mrozowski gentoo-dev 2009-10-05 20:38:09 UTC
Created attachment 206184 [details]
KDE4 packages for stabilization (atom format, can be used as p.keywords)
Comment 3 Maciej Mrozowski gentoo-dev 2009-10-06 20:22:43 UTC
Notes:

Following USE flags should me masked:
kde-base/plasma-workspace: 'google-gadgets' (does not build/install, not worthy)
kde-base/{kdeutils-meta,kdeadmin-meta}: 'cups' (printing stuff: kde-base/{printer-applet,system-config-printer-kde} not entering stable tree yet)
Comment 4 Maciej Mrozowski gentoo-dev 2009-10-06 20:24:28 UTC
I think this is it, please proceed.
Comment 5 Maciej Mrozowski gentoo-dev 2009-10-06 21:01:55 UTC
(with dependencies first that is)
Comment 6 Maciej Mrozowski gentoo-dev 2009-10-06 21:22:34 UTC
Created attachment 206263 [details]
kdm-4.3.1-r1 -> kdm-4.3.2-r2
Comment 7 Christian Faulhammer (RETIRED) gentoo-dev 2009-10-07 07:25:12 UTC
Some packages are missing:
networkmanager >= 0.7
>=x11-misc/google-gadgets-0.10.5
=kde-base/printer-applet-4.3.1 and its dependencies
=dev-libs/log4cxx-0.10.0
app-accessibility/epos
=sci-libs/indilib-0.6
Comment 8 Maciej Mrozowski gentoo-dev 2009-10-07 16:13:42 UTC
As noted in #3, google-gadgets are out completely for this release.

Please mask google-gadgets USE flag for plasma-workspace-4.3.1 - x11-misc/google-gadgets should be probably masked anyway

kde-base/printer-applet and kde-base/system-config-printer-kde are not meant  for stabilization (they both work but I'm planning to introduce them when they support policykit) - should get them removed from metapackages that pull them for 'cups' USE flag or you could just mask 'cups' USE flag for <=kde-base/kdeadmin-meta-4.4.0 and <=kde-base/kdeutils-meta-4.4.0 ?

You're right with the rest (epos, indilib, networkmanager) however - I'll file stabilization bugs for them. Logc4xx is disputable and 'log' USE flag should be probably masked for app-misc/strigi (all versions) - I used to have some issues with this library in the past (massive memory leaks).

I think it's safe to start even now with stabilization of: phonon, soprano qimageblitz, policykit-qt, strigi, akonadi-server as KDE4 is pretty much the only consumer of those for now in tree (so won't break anything - phonon would be the only package being used, but it's known to work with already stable consumers like x11-libs/qt-webkit)

Thanks
Comment 9 Pacho Ramos gentoo-dev 2009-10-07 16:19:36 UTC
For nm please see:
http://bugs.gentoo.org/show_bug.cgi?id=283633
Comment 10 Maciej Mrozowski gentoo-dev 2009-10-07 16:52:51 UTC
Created attachment 206338 [details]
Silly me, of course kdm-4.3.1-r1 -> kdm-4.3.1-r2

file was right, description was typo, resubmitted to avoid confusion
Comment 11 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2009-10-08 01:14:42 UTC
In case there's any doubt here, as the KDE team Lead, I would like to request your help to get KDE-4 finally into the stable tree.

As a note, one that I was meant to sent through email a few weeks ago, we plan to mask and later remove from the tree KDE-3.5 as it stopped being maintained by upstream a *long* time ago, there's no Gentoo KDE developers concerned with it and it's starting to have security issues.
Comment 12 Maciej Mrozowski gentoo-dev 2009-10-08 01:37:40 UTC
We decided to drop networkmanager support for now (can be reintroduced anytime later).

So, package.use.mask could consist (correcting my recent comment about cups):

# better to deal with this behemoth later
kde-base/plasma-workspace google-gadgets

# leaving system-config-printer-kde and printer-applet in testing
<=kde-base/kdeadmin-meta-4.3.10 cups
<=kde-base/kdeutils-meta-4.3.10 cups

# log4cxx known for memory leaks
app-misc/strigi log

# masked for users in tree (leaves it for overlay users for testing)
# and to give more time for networkmanager stabilization
<=kde-base/solid-4.3.10 networkmanager
Comment 13 Maciej Mrozowski gentoo-dev 2009-10-09 21:58:11 UTC
Created attachment 206591 [details]
dolphin-4.3.1->4.3.1-r1, kdelibs-4.3.1->4.3.1-r1, kabcclient-4.3.1->4.3.1-r1
Comment 14 Samuli Suominen (RETIRED) gentoo-dev 2009-10-10 12:08:02 UTC
amd64 stable
Comment 15 Samuli Suominen (RETIRED) gentoo-dev 2009-10-16 19:12:58 UTC
(In reply to comment #14)
> amd64 stable
> 

update: kdelibs-4.3.1-r2 instead of -r1.
Comment 16 Pacho Ramos gentoo-dev 2009-10-17 10:07:03 UTC
I am suffering bug 261446 since kde4 got stabilized for amd64, it doesn't seem to break anything (this is why I am not sure if should block this bug), but it's a bit annoying to get this errors in every emerge involving mime database update :-/
Comment 17 Markus Meier gentoo-dev 2009-10-18 18:22:25 UTC
x86 stable, thanks to fauli for testing.
the following packages haven't been marked stable on x86, due to build failures. please tell me if I have to open bugs for them.
kde-base/krossruby-4.3.1
kde-base/smoke-4.3.1
kde-base/kdebindings-csharp-4.3.1
Comment 18 Anton Bolshakov 2009-10-21 07:03:08 UTC
Please add bug #286192 to the blocker list (bug #280670  has more details)